VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::service::Operation Interface Reference

The `Operation` interface provides methods to retrieve privilege information of an operation element. More...

Inherited by vmware::vapi::metadata::privilege::service::OperationStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < string > | List (string serviceId)
| Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.
global::System.Collections.Generic.List < string > | List (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string serviceId)
| Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.
vmware.vapi.metadata.privilege.OperationInfo | Get (string serviceId, string operationId)
| Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .
vmware.vapi.metadata.privilege.OperationInfo | Get (string serviceId, string operationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.OperationInfo > | GetAsync (string serviceId, string operationId)
| Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.privilege.OperationInfo > | GetAsync (string serviceId, string operationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

## Detailed Description

The `Operation` interface provides methods to retrieve privilege information of an operation element.

An operation element is said to contain privilege information if there are any privileges assigned to the operation element or if one of the parameter elements contained in it has privileges assigned in privilege definition file.

## Member Function Documentation

vmware.vapi.metadata.privilege.OperationInfo vmware::vapi::metadata::privilege::service::Operation::Get | ( | string | serviceId,
|  | string | operationId
| ) |  |

Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .

Returns:
  The vmware.vapi.metadata.privilege.OperationInfo instance that corresponds to operationId .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

vmware.vapi.metadata.privilege.OperationInfo vmware::vapi::metadata::privilege::service::Operation::Get | ( | string | serviceId,
|  | string | operationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The vmware.vapi.metadata.privilege.OperationInfo instance that corresponds to operationId .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.OperationInfo> vmware::vapi::metadata::privilege::service::Operation::GetAsync | ( | string | serviceId,
|  | string | operationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The vmware.vapi.metadata.privilege.OperationInfo instance that corresponds to operationId .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.privilege.OperationInfo> vmware::vapi::metadata::privilege::service::Operation::GetAsync | ( | string | serviceId,
|  | string | operationId
| ) |  |

Retrieves the privilege information about an operation element corresponding to operationId contained in the service element corresponding to serviceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not exist.
  vmware.vapi.std.errors.NotFound | if the operation element associated with operationId does not have any privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  operationId | Identifier of the operation element. The parameter must be an identifier for the resource type: `com.vmware.vapi.operation` .

Returns:
  The vmware.vapi.metadata.privilege.OperationInfo instance that corresponds to operationId .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::service::Operation::List | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any operation elements that have privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of identifiers for the operation elements contained in the service element that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::service::Operation::List | ( | string | serviceId | ) |

Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any operation elements that have privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  List of identifiers for the operation elements contained in the service element that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::service::Operation::ListAsync | ( | string | serviceId | ) |

Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any operation elements that have privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  List of identifiers for the operation elements contained in the service element that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::privilege::service::Operation::ListAsync | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the operation elements contained in the service element corresponding to serviceId that have privilege information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId does not have any operation elements that have privilege information.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of identifiers for the operation elements contained in the service element that have privilege information. The result will contain identifiers for the resource type: `com.vmware.vapi.operation` .

Implemented in vmware::vapi::metadata::privilege::service::OperationStub.

The documentation for this interface was generated from the following file:

- privilege/service/Operation.cs